Delete

[POST] .../v1/applicationsetting/delete

Deletes a user-defined (not system) application setting. Use this method to soft-delete a user-defined application setting definition when it should no longer be available to users. The request requires a valid app_id and key; this controller method does not perform a separate RBAC permission check, key must be no longer than 200 characters and the target setting must exist with sap_system = 0 because system settings cannot be deleted by this method. The method sets sap_deleted = 1 for the matching setting definition and returns row_affected with the number of deleted rows. Business errors such as missing body, invalid app_id, unknown application, empty or too long key, unknown setting, attempt to delete a system setting, database failures or transaction failures are returned as HTTP 200 ErrorResult.

Request Parameters

Name Type Required Description
app_id Int32 Required Application ID.
key String Required Setting key, up to 200 characters.

Request Example

{
  "app_id": 1,
  "key": "string"
}

Response Parameters

Name Type Description
ok Boolean Indicates whether the request completed successfully.
result Update Update operation result.

Response Example

{
  "ok": true,
  "result": {
    "ids": [
      null
    ],
    "row_affected": 1
  }
}